/*-----------------------------------------------------------------------

File  : che_clausefeatures.h

Author: Stephan Schulz

Contents
 
  Functions for determining various features of clauses.

Changes

<1> Mon Sep 28 19:17:50 MET DST 1998
    New

-----------------------------------------------------------------------*/

#ifndef CHE_CLAUSEFEATURES

#define CHE_CLAUSEFEATURES

#include <ccl_clauses.h>


/*---------------------------------------------------------------------*/
/*                    Data type declarations                           */
/*---------------------------------------------------------------------*/




/*---------------------------------------------------------------------*/
/*                Exported Functions and Variables                     */
/*---------------------------------------------------------------------*/

void TermAddSymbolDistribution(Term_p term, long *dist_array);
#define EqnAddSymbolDistribution(eqn, dist_array)\
        TermAddSymbolDistribution((eqn)->lterm, dist_array);\
	TermAddSymbolDistribution((eqn)->rterm, dist_array)
void EqnListAddSymbolDistribution(Eqn_p list, long *dist_array);
#define ClauseAddSymbolDistribution(clause, dist_array)\
        EqnListAddSymbolDistribution((clause)->literals, (dist_array))

#endif

/*---------------------------------------------------------------------*/
/*                        End of File                                  */
/*---------------------------------------------------------------------*/





